################################################################################
# CxRegisterOpticalModuleWrite.tcl
# ------------------------------------------------------------------------------
# This script is provided as a utility supporting Paragon-neo and Paragon-100G.
# It is NOT intended as example code for controlling these instruments.
# No part of this script should be used independently of this script without
# the explicit written permission of Calnex Solutions Ltd.
################################################################################
#
# Write to the EEPROM in an optical module through FPGA registers in
# Paragon-100G / Paragon-neo
#
# Notes:
#	Use of these commands may result in an unstable or damaged instrument
# 	Do not use these commands unless requested to do so by Calnex
#

##### NO LONGER USED - SHOULD BE REMOVED....

source calnexRest.tcl

oo::class create CxRegisterOpticalModuleWrite {
	variable AssemblyId
	variable DeviceId
	variable ModuleRegisters
	
	constructor {devId} {
		cxLogDebug "[info level 0]"
		set AssemblyId "IF_JIT"
		set DeviceId $devId

		CxRegister create ModuleRegisters $AssemblyId $DeviceId		
	}
	
	destructor {}
}

